# Class UpgradeToken

java.lang.Object
org.apache.coyote.UpgradeToken

public final class UpgradeToken extends Object
Token used during the upgrade process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradeToken(HttpUpgradeHandler httpUpgradeHandler, ContextBind contextBind, InstanceManager instanceManager, String protocol)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContextBind`
  `getContextBind()`
  `HttpUpgradeHandler`
  `getHttpUpgradeHandler()`
  `InstanceManager`
  `getInstanceManager()`
  `String`
  `getProtocol()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpgradeToken

    public UpgradeToken(HttpUpgradeHandler httpUpgradeHandler, ContextBind contextBind, InstanceManager instanceManager, String protocol)

- ## Method Details

  - ### getContextBind

    public ContextBind getContextBind()

  - ### getHttpUpgradeHandler

    public HttpUpgradeHandler getHttpUpgradeHandler()

  - ### getInstanceManager

    public InstanceManager getInstanceManager()

  - ### getProtocol

    public String getProtocol()